import java.applet.Applet;
import java.awt.BorderLayout;

import javax.media.opengl.GLCanvas;

import com.sun.opengl.util.FPSAnimator;

/**
 * Applet version of the jellyfish robot rendering, for dynamic web pages.
 * @author Damian Johnson
 * @version October 3 2007
 */
public class AppletStarter extends Applet {
  public static final long serialVersionUID = 0;
  private FPSAnimator animator;
  
  public void init() {
    setLayout(new BorderLayout());
    // GLCapabilities caps = new GLCapabilities();
    // caps.setDoubleBuffered(true); // Enables double buffering
    // caps.setHardwareAccelerated(true);
    
    GLCanvas canvas = new GLCanvas();
    canvas.addGLEventListener(new MrJellyRenderer());
    canvas.setSize(getSize());
    
    add(canvas, BorderLayout.CENTER);
    this.animator = new FPSAnimator(canvas, 30);
    this.animator.setRunAsFastAsPossible(false); // Restricts rate that display is called
  }
  
  public void start() {
    this.animator.start();
  }
  
  public void stop() {
    this.animator.stop();
  }
}
